import { Currency } from './currency';

export class Company {

    constructor(
        private _id: number,
        private _name: string,
        private _city: string,
        private _email: string,
        private _currency: Currency
    ) {}

    /**
     *
     */
    get id(): number {
        return this._id;
    }

    /**
     *
     */
    get name(): string {
        return this._name;
    }

    /**
     *
     */
    get city(): string {
        return this._city;
    }

    /**
     *
     */
    get email(): string {
        return this._city;
    }

    /**
     *
     */
    get currency(): Currency {
        return this._currency;
    }

    /**
     *
     */
    set id(_id: number) {
        this._id = _id;
    }

    /**
     *
     */
    set name(_name: string) {
        this._name = _name;
    }

    /**
     *
     */
    set city(_city: string) {
        this._city = _city;
    }

    /**
     *
     */
    set currency(_currency: Currency) {
        this._currency = _currency;
    }
}
